CFPRIME EPDDAT                                                          EPDDAT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE EPDDAT(NBLKS,BF,BUSNAM,ICODE,IUX,IUY,IEBK)             EPDDAT      3
CD                                                                      EPDDAT      4
CD    FOR DYNAMIC DATA IN BPA/WSCC/EPRI(OLD) OR IEEE FORMAT, THIS       EPDDAT      5
CD    ROUTINE WILL BE CALLED TO LOAD THE TRANSLATED DATA INTO THE       EPDDAT      6
CD    PROGRAM ARRAYS.                                                   EPDDAT      7
CD                                                                      EPDDAT      8
CD LJNT  :  NO. OF DETAILED GENERATOR READ IN.                          EPDDAT      9
CD                                                                      EPDDAT     10
CD JNT   :  NO. OF DETAILED GENERATOR READ IN.                          EPDDAT     11
CD                                                                      EPDDAT     12
CD JBFT  :  NO. OF CLASSICAL GENERATOR READ IN.                         EPDDAT     13
CD                                                                      EPDDAT     14
CD IGENDA(13,MP) :  ARRAY STORES THE CONTROL DEVICE TYPE FOR THE        EPDDAT     15
CD                  DETAILED MACHINE.                                   EPDDAT     16
CD                                                                      EPDDAT     17
CD IGENDB(3,NM)  :  ARRAY STORES THE CONTROL DEVICE TYPE FOR THE        EPDDAT     18
CD                  CLASSICAL MACHINE.                                  EPDDAT     19
CD                                                                      EPDDAT     20
CD JGENDA(12,MP) :  ARRAY STORE THE STARTING POSTION OF THE CONTROL     EPDDAT     21
CD                  DEVICE DATA FOR THE DETAILED MACHINE IN TDDAT ARRAY.EPDDAT     22
CD                                                                      EPDDAT     23
CD JGENDA(1,MP)  : MACHINE DATA FIELD OFFSET                            EPDDAT     24
CD JGENDA(2,MP)  : GOVERNOR DATA FIELD OFFSET                           EPDDAT     25
CD JGENDA(3,MP)  : GOVERNER DATA FIELD OFFSET                           EPDDAT     26
CD JGENDA(4,MP)  : EXCITER DATA FIELD OFFSET                            EPDDAT     27
CD JGENDA(5,MP)  : STABILIZER DATA FIELD OFFSET                         EPDDAT     28
CD JGENDA(6,MP)  : TORSIONAL FILTER DATA FIELD OFFSET                   EPDDAT     29
CD JGENDA(7,MP)  : UNDER EXCITATION CURRENT LIMITER                     EPDDAT     30
CD                 DATA FIELD OFFSET                                    EPDDAT     31
CD JGENDA(8,MP)  : MULTI-MASS DATA FIELD OFFSET                         EPDDAT     32
CD JGENDA(9,MP)  : CROWBAR DATA FIELD OFFSET                            EPDDAT     33
CD JGENDA(10,MP) : GOVERNOR STABILIZER DATA FIELD OFFSET                EPDDAT     34
CD JGENDA(11,MP) : TRNASIENT EXCITATION BOOSTER                         EPDDAT     35
CD                 DATA FIELD OFFSET                                    EPDDAT     36
CD JGENDA(12,MP) : FOR FUTURE USE                                       EPDDAT     37
CD                                                                      EPDDAT     38
CD JGENDB(2,MP)  : ARRAY STORE THE STARTING POSTION OF THE CONTROL      EPDDAT     39
CD                 DEVICE DATA FOR THE CLASSICAL MACHINE IN TDDAT ARRAY.EPDDAT     40
CD                                                                      EPDDAT     41
CD JGENDB(1,MP)  : MACHINE DATA FIELD OFFSET                            EPDDAT     42
CD JGENDB(2,MP)  : FOR FUTURE USE                                       EPDDAT     43
CD                                                                      EPDDAT     44
C                                                                       EPDDAT     45
      INCLUDE 'PARX.INS'                                                EPDDAT     46
      INCLUDE 'CNPT.INS'                                                EPDDAT     47
      INCLUDE 'CNFLAG.INS'                                              EPDDAT     48
      INCLUDE 'CNPARX.INS'                                              EPDDAT     49
      INCLUDE 'CNUNIT.INS'                                              EPDDAT     50
      INCLUDE 'CNMNEW.INS'                                              EPDDAT     51
      INCLUDE 'CNJPT.INS'                                               EPDDAT     52
      INCLUDE 'CNJDAT.INS'                                              EPDDAT     53
      INCLUDE 'CNTMDA.INS'                                              EPDDAT     54
      INCLUDE 'CNTGED.INS'                                              EPDDAT     55
      INCLUDE 'CNMSG.INS'                                               EPDDAT     56
C                                                                       EPDDAT     57
      CHARACTER*4 NGRI                                                  EPDDAT     58
      CHARACTER*80 BF(40)                                               EPDDAT     59
      CHARACTER*13 BUSNAM                                               EPDDAT     60
C                                                                       EPDDAT     61
      LDEB=(JDEB(98).NE.0)                                              EPDDAT     62
C                                                                       EPDDAT     63
      IEBK=0                                                            EPDDAT     64
C                                                                       EPDDAT     65
C  READING DETAILED GENERATOR DATA                                      EPDDAT     66
C                                                                       EPDDAT     67
      IC=1                                                              EPDDAT     68
      READ (BF(IC),2020) NLF,NGRI,IPFAX,IQFAX                           EPDDAT     69
      IF(LDEB) WRITE(IUD6,2020) NLF,NGRI,IPFAX,IQFAX                    EPDDAT     70
      NPROG=MNEW(NLF)                                                   EPDDAT     71
      JNT=JNT+1                                                         EPDDAT     72
      IF(JNT.GE.MXP)THEN                                                EPDDAT     73
      JNT=JNT-1                                                         EPDDAT     74
         IF(KLFO.EQ.0)THEN                                              EPDDAT     75
            WRITE(MSG(2),1211) NLF,NGRI                                 EPDDAT     76
         ELSE                                                           EPDDAT     77
            WRITE(MSG(2),1220) BUSNAM                                   EPDDAT     78
         ENDIF                                                          EPDDAT     79
         WRITE(MSG(1),1210)                                             EPDDAT     80
         CALL PRTMSG(2)                                                 EPDDAT     81
         IEBK=1                                                         EPDDAT     82
         RETURN                                                         EPDDAT     83
      ENDIF                                                             EPDDAT     84
      IF(NTHGEN(NPROG+1).EQ.0)THEN                                      EPDDAT     85
      NTHGEN(NPROG+1)=JNT                                               EPDDAT     86
      NEXGEN(JNT)=0                                                     EPDDAT     87
      IF(NPROG.GT.LJNT)LJNT=NPROG                                       EPDDAT     88
      ELSE                                                              EPDDAT     89
      K=NTHGEN(NPROG+1)                                                 EPDDAT     90
 110     CONTINUE                                                       EPDDAT     91
         N=NEXGEN(K)                                                    EPDDAT     92
         IF(N.EQ.0)THEN                                                 EPDDAT     93
         NEXGEN(K)=JNT                                                  EPDDAT     94
         NEXGEN(JNT)=0                                                  EPDDAT     95
         ELSE                                                           EPDDAT     96
         K=N                                                            EPDDAT     97
         GOTO 110                                                       EPDDAT     98
         ENDIF                                                          EPDDAT     99
      ENDIF                                                             EPDDAT    100
      IF (JNT.GT.MXP) GO TO 840                                         EPDDAT    101
        IC=IC+1                                                         EPDDAT    102
        READ (BF(IC),2010) IGEN,ISATX,IEXX,IVTN,ISTABX,IGVN,            EPDDAT    103
     +  ITEBN,IMXLN,IGSTAN,IFLTN,IUALN,MASSN,ICBRN                      EPDDAT    104
       IF(LDEB) WRITE(IUD6,2010) IGEN,ISATX,IEXX,IVTN,ISTABX            EPDDAT    105
     &,IGVN,ITEBN,IMXLN,IGSTAN,IFLTN,IUALN,MASSN,ICBRN                  EPDDAT    106
      NGEBUS(JNT)=NLF                                                   EPDDAT    107
      GENID(JNT)=NGRI                                                   EPDDAT    108
      IGENDA(1,JNT)=IGEN                                                EPDDAT    109
      IGENDA(3,JNT)=ISATX                                               EPDDAT    110
      IGENDA(4,JNT)=IEXX                                                EPDDAT    111
      IGENDA(5,JNT)=ISTABX                                              EPDDAT    112
      IGENDA(6,JNT)=IFLTN                                               EPDDAT    113
      IGENDA(7,JNT)=IUALN                                               EPDDAT    114
      IGENDA(8,JNT)=0                                                   EPDDAT    115
      IGENDA(9,JNT)=ICBRN                                               EPDDAT    116
      IGENDA(10,JNT)=IGSTAN                                             EPDDAT    117
      IGENDA(11,JNT)=ITEBN                                              EPDDAT    118
      IGENDA(12,JNT)=IMXLN                                              EPDDAT    119
C                                                                       EPDDAT    120
C                                                                       EPDDAT    121
      JGENDA(1,JNT)=JTLN                                                EPDDAT    122
C                                                                       EPDDAT    123
      IPQFA(1,JNT)=IPFAX                                                EPDDAT    124
      IPQFA(2,JNT)=IQFAX                                                EPDDAT    125
C                                                                       EPDDAT    126
      IF(IGEN.EQ.3.OR.IGEN.EQ.7.OR.IGEN.EQ.11)THEN                      EPDDAT    127
        IC=IC+1                                                         EPDDAT    128
        READ(BF(IC),2041) (TDDAT(JTLN+LN),LN=1,7)                       EPDDAT    129
        JTLN=JTLN+7                                                     EPDDAT    130
        GOTO 720                                                        EPDDAT    131
      ENDIF                                                             EPDDAT    132
C                                                                       EPDDAT    133
      JTLN1=JTLN                                                        EPDDAT    134
C                                                                       EPDDAT    135
C                                                                       EPDDAT    136
C   DATA IN X'S AND TIME CONSTANT FORM                                  EPDDAT    137
C                                                                       EPDDAT    138
      IC=IC+1                                                           EPDDAT    139
      READ (BF(IC),2040) RAN,XD,XQ,XL,X1D,X1Q,X11D,X11Q                 EPDDAT    140
      IF(LDEB)WRITE(IUD6,2040) RAN,XD,XQ,XL,X1D,X1Q,X11D,X11Q           EPDDAT    141
      IC=IC+1                                                           EPDDAT    142
      READ (BF(IC),2040) T1D,T1Q,T11D,T11Q                              EPDDAT    143
      IF(LDEB)WRITE (IUD6,2040) T1D,T1Q,T11D,T11Q                       EPDDAT    144
C                                                                       EPDDAT    145
      IF(X1D.LE.XL)THEN                                                 EPDDAT    146
      IEBK=2                                                            EPDDAT    147
         IF(KLFO.EQ.0)THEN                                              EPDDAT    148
            WRITE(MSG(1),1320) NLF,NGRI                                 EPDDAT    149
         ELSE                                                           EPDDAT    150
            WRITE(MSG(1),1330) BUSNAM                                   EPDDAT    151
         ENDIF                                                          EPDDAT    152
         WRITE(MSG(2),1321) X1D,XL                                      EPDDAT    153
         CALL PRTMSG(2)                                                 EPDDAT    154
      ENDIF                                                             EPDDAT    155
C                                                                       EPDDAT    156
C   D-AXIS DAMPER WINDING                                               EPDDAT    157
C                                                                       EPDDAT    158
      IF(X11D.GT..0.AND.T11D.GT..0)THEN                                 EPDDAT    159
         IF((X1D-X11D).LE.0.0)THEN                                      EPDDAT    160
         IEBK=2                                                         EPDDAT    161
            IF(KLFO.EQ.0)THEN                                           EPDDAT    162
               WRITE(MSG(1),1320) NLF,NGRI                              EPDDAT    163
            ELSE                                                        EPDDAT    164
               WRITE(MSG(1),1330) BUSNAM                                EPDDAT    165
            ENDIF                                                       EPDDAT    166
            WRITE(MSG(2),1380) X1D,X11D                                 EPDDAT    167
            WRITE(MSG(3),1400) T11D                                     EPDDAT    168
            CALL PRTMSG(3)                                              EPDDAT    169
         ELSEIF(X11D.LE.XL)THEN                                         EPDDAT    170
            IEBK=2                                                      EPDDAT    171
            IF(KLFO.EQ.0)THEN                                           EPDDAT    172
               WRITE(MSG(1),1320) NLF,NGRI                              EPDDAT    173
            ELSE                                                        EPDDAT    174
               WRITE(MSG(1),1330) BUSNAM                                EPDDAT    175
            ENDIF                                                       EPDDAT    176
            WRITE(MSG(2),1340) X11D,XL                                  EPDDAT    177
            CALL PRTMSG(2)                                              EPDDAT    178
         ELSEIF(T11D.LT..01)THEN                                        EPDDAT    179
            IEBK=2                                                      EPDDAT    180
            IF(KLFO.EQ.0)THEN                                           EPDDAT    181
               WRITE(MSG(1),1320) NLF,NGRI                              EPDDAT    182
            ELSE                                                        EPDDAT    183
               WRITE(MSG(1),1330) BUSNAM                                EPDDAT    184
            ENDIF                                                       EPDDAT    185
            WRITE(MSG(2),1420) T11D                                     EPDDAT    186
            CALL PRTMSG(2)                                              EPDDAT    187
            T11D=.0                                                     EPDDAT    188
         ELSE                                                           EPDDAT    189
C                                                                       EPDDAT    190
C   ENDIF X1D-X11D.LE.0.                                                EPDDAT    191
C                                                                       EPDDAT    192
         ENDIF                                                          EPDDAT    193
C                                                                       EPDDAT    194
C   ENDIF X11D.GT.0.AND.T11D.GT.0                                       EPDDAT    195
C                                                                       EPDDAT    196
      ENDIF                                                             EPDDAT    197
C                                                                       EPDDAT    198
C   Q-AXIS DAMPER WINDING                                               EPDDAT    199
C                                                                       EPDDAT    200
      IF(X1Q.LE.0.0.AND.X11Q.GT.0.0)THEN                                EPDDAT    201
      X1Q=X11Q                                                          EPDDAT    202
      X11Q=0.0                                                          EPDDAT    203
      T1Q=T11Q                                                          EPDDAT    204
      T11Q=0.0                                                          EPDDAT    205
      ENDIF                                                             EPDDAT    206
C                                                                       EPDDAT    207
C                                                                       EPDDAT    208
      IF(X1Q.GT..0.AND.T1Q.GT..0)THEN                                   EPDDAT    209
         IF(X1Q.LE.XL)THEN                                              EPDDAT    210
         IEBK=2                                                         EPDDAT    211
            IF(KLFO.EQ.0)THEN                                           EPDDAT    212
               WRITE(MSG(1),1320) NLF,NGRI                              EPDDAT    213
            ELSE                                                        EPDDAT    214
               WRITE(MSG(1),1330) BUSNAM                                EPDDAT    215
            ENDIF                                                       EPDDAT    216
            WRITE(MSG(2),1300) X1Q,XL                                   EPDDAT    217
            CALL PRTMSG(2)                                              EPDDAT    218
         ENDIF                                                          EPDDAT    219
      ENDIF                                                             EPDDAT    220
C                                                                       EPDDAT    221
C   SECOND DAMPER WINDING                                               EPDDAT    222
C                                                                       EPDDAT    223
      IF(X11Q.GT..0.AND.T11Q.GT..0)THEN                                 EPDDAT    224
         IF((X1Q-X11Q).LE.0.0)THEN                                      EPDDAT    225
         IEBK=2                                                         EPDDAT    226
            IF(KLFO.EQ.0)THEN                                           EPDDAT    227
               WRITE(MSG(1),1320) NLF,NGRI                              EPDDAT    228
            ELSE                                                        EPDDAT    229
               WRITE(MSG(1),1330) BUSNAM                                EPDDAT    230
            ENDIF                                                       EPDDAT    231
            WRITE(MSG(2),1390) X1Q,X11Q                                 EPDDAT    232
            WRITE(MSG(3),1410) T11Q                                     EPDDAT    233
            CALL PRTMSG(3)                                              EPDDAT    234
         ELSEIF(X11Q.LE.XL)THEN                                         EPDDAT    235
            IEBK=2                                                      EPDDAT    236
            IF(KLFO.EQ.0)THEN                                           EPDDAT    237
               WRITE(MSG(1),1320) NLF,NGRI                              EPDDAT    238
            ELSE                                                        EPDDAT    239
               WRITE(MSG(1),1330) BUSNAM                                EPDDAT    240
            ENDIF                                                       EPDDAT    241
            WRITE(MSG(2),1360) X11Q,XL                                  EPDDAT    242
            CALL PRTMSG(2)                                              EPDDAT    243
         ELSEIF(T11Q.LE..01)THEN                                        EPDDAT    244
            IEBK=2                                                      EPDDAT    245
            IF(KLFO.EQ.0)THEN                                           EPDDAT    246
               WRITE(MSG(1),1320) NLF,NGRI                              EPDDAT    247
            ELSE                                                        EPDDAT    248
               WRITE(MSG(1),1330) BUSNAM                                EPDDAT    249
            ENDIF                                                       EPDDAT    250
            WRITE(MSG(2),1440) T11Q                                     EPDDAT    251
            CALL PRTMSG(2)                                              EPDDAT    252
            T11Q=.0                                                     EPDDAT    253
C                                                                       EPDDAT    254
         ENDIF                                                          EPDDAT    255
C                                                                       EPDDAT    256
      ENDIF                                                             EPDDAT    257
C                                                                       EPDDAT    258
C     STORE DATA INTO TDDAT ARRAY                                       EPDDAT    259
C                                                                       EPDDAT    260
      TDDAT(JTLN+7)=RAN                                                 EPDDAT    261
      TDDAT(JTLN+8)=XD                                                  EPDDAT    262
      TDDAT(JTLN+9)=XQ                                                  EPDDAT    263
      TDDAT(JTLN+10)=XL                                                 EPDDAT    264
      TDDAT(JTLN+11)=X1D                                                EPDDAT    265
      TDDAT(JTLN+12)=X1Q                                                EPDDAT    266
      TDDAT(JTLN+13)=X11D                                               EPDDAT    267
      TDDAT(JTLN+14)=X11Q                                               EPDDAT    268
      TDDAT(JTLN+15)=T1D                                                EPDDAT    269
      TDDAT(JTLN+16)=T1Q                                                EPDDAT    270
      TDDAT(JTLN+17)=T11D                                               EPDDAT    271
      TDDAT(JTLN+18)=T11Q                                               EPDDAT    272
      JTLN=JTLN+18                                                      EPDDAT    273
C                                                                       EPDDAT    274
      IF (ISATX.NE.0) THEN                                              EPDDAT    275
C        READ IN (SATC(LN),LN=1,6)                                      EPDDAT    276
         IC=IC+1                                                        EPDDAT    277
         READ (BF(IC),2040) (TDDAT(JTLN+LN),LN=1,6)                     EPDDAT    278
         JTLN=JTLN+6                                                    EPDDAT    279
      ENDIF                                                             EPDDAT    280
      IF (ISATX.EQ.3.OR.ISATX.EQ.30) THEN                               EPDDAT    281
C        READ IN (SATC(LN),LN=7,12)                                     EPDDAT    282
         IC=IC+1                                                        EPDDAT    283
         READ (BF(IC),2040) (TDDAT(JTLN+LN),LN=1,6)                     EPDDAT    284
         JTLN=JTLN+6                                                    EPDDAT    285
      ENDIF                                                             EPDDAT    286
C                                                                       EPDDAT    287
C                                    H        DAMP                      EPDDAT    288
C                                                                       EPDDAT    289
      IC=IC+1                                                           EPDDAT    290
      READ(BF(IC),2040) TDDAT(JTLN1+1),TDDAT(JTLN1+2),                  EPDDAT    291
C                                                                       EPDDAT    292
C         CMTL             BMVA         BVR           WXBASE            EPDDAT    293
C                                                                       EPDDAT    294
     +TDDAT(JTLN1+3),TDDAT(JTLN1+4),TDDAT(JTLN1+5),TDDAT(JTLN1+6)       EPDDAT    295
C                                                                       EPDDAT    296
C      SPPSS SPGOV                                                      EPDDAT    297
C                                                                       EPDDAT    298
     &,DDAT6,DDAT7                                                      EPDDAT    299
C                                                                       EPDDAT    300
      IF (LDEB)WRITE(IUD6,1200) JTLN,TDDAT(JTLN+5)                      EPDDAT    301
C                                                                       EPDDAT    302
      CALL MCHECK (NLF,1,JTLN,'EPDDAT')                                 EPDDAT    303
      JGENDA(7,JNT)=0                                                   EPDDAT    304
      IF (LDEB)WRITE (IUD6,1130) IEXX,JTLN,JGENDA(3,JNT),JNT            EPDDAT    305
C                                                                       EPDDAT    306
      JGENDA(8,JNT)=0                                                   EPDDAT    307
C                                                                       EPDDAT    308
      IF(IEXX.EQ.0)GOTO 720                                             EPDDAT    309
      JTLN=JTLN+1                                                       EPDDAT    310
      JGENDA(3,JNT)=JTLN                                                EPDDAT    311
      ITDDAT(JTLN+1)=IVTN                                               EPDDAT    312
      IC=IC+1                                                           EPDDAT    313
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=2,9)                        EPDDAT    314
      IC=IC+1                                                           EPDDAT    315
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=10,17)                      EPDDAT    316
      IC=IC+1                                                           EPDDAT    317
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=18,25)                      EPDDAT    318
C                                                                       EPDDAT    319
C      IF(IEXX.EQ.4.OR.IEXX.EQ.5.OR.IEXX.EQ.6.OR.IEXX.EQ.8.OR.IEXX.EQ.14EPDDAT    320
C     + .OR.IEXX.EQ.30.OR.IEXX.EQ.32) THEN                              EPDDAT    321
C                                                                       EPDDAT    322
      IF (IEXX.EQ.4.OR.IEXX.EQ.6.OR.IEXX.EQ.8) THEN                     EPDDAT    323
      IC=IC+1                                                           EPDDAT    324
      READ (BF(IC),2040) TDDAT(JTLN+26),TDDAT(JTLN+27)                  EPDDAT    325
      JTLN=JTLN+27                                                      EPDDAT    326
      ELSE IF(IEXX.EQ.5.OR.IEXX.EQ.3) THEN                              EPDDAT    327
      IC=IC+1                                                           EPDDAT    328
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=26,33)                      EPDDAT    329
      JTLN=JTLN+33                                                      EPDDAT    330
      ELSE IF(IEXX.EQ.14) THEN                                          EPDDAT    331
      IC=IC+1                                                           EPDDAT    332
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=26,30)                      EPDDAT    333
      JTLN=JTLN+30                                                      EPDDAT    334
      ELSE IF(IEXX.EQ.30) THEN                                          EPDDAT    335
      IC=IC+1                                                           EPDDAT    336
      READ (BF(IC),2040) TDDAT(JTLN+26),TDDAT(JTLN+27),                 EPDDAT    337
     & TDDAT(JTLN+28),TDDAT(JTLN+29)                                    EPDDAT    338
      JTLN=JTLN+29                                                      EPDDAT    339
      ELSE IF(IEXX.EQ.32) THEN                                          EPDDAT    340
      IC=IC+1                                                           EPDDAT    341
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=26,33)                      EPDDAT    342
      IC=IC+1                                                           EPDDAT    343
      READ (BF(IC),2040) TDDAT(JTLN+34),TDDAT(JTLN+35)                  EPDDAT    344
      JTLN=JTLN+35                                                      EPDDAT    345
      ELSE                                                              EPDDAT    346
      JTLN=JTLN+25                                                      EPDDAT    347
      ENDIF                                                             EPDDAT    348
      CALL MCHECK (NLF,3,JTLN,'EPDDAT')                                 EPDDAT    349
C                                                                       EPDDAT    350
C--  READ STABILIZER DATA IF THERE IS ANY                               EPDDAT    351
C                                                                       EPDDAT    352
      IF (ISTABX.EQ.0) GO TO 540                                        EPDDAT    353
      JGENDA(4,JNT)=JTLN                                                EPDDAT    354
C                                                                       EPDDAT    355
C     READ IN THE STABILIZER DATA                                       EPDDAT    356
C                                                                       EPDDAT    357
C            1   2   3   4   5   6   7   8   9  10  11  12              EPDDAT    358
      GOTO(230,250,250,230,250,250,350,530,390,410,430,450),ISTABX      EPDDAT    359
C                                                                       EPDDAT    360
 230  CONTINUE                                                          EPDDAT    361
C                                                                       EPDDAT    362
C   TYPE 1 AND 4 STABILIZER                                             EPDDAT    363
C                                                                       EPDDAT    364
      ASSIGN 240 TO I470                                                EPDDAT    365
      GOTO 470                                                          EPDDAT    366
 240  CONTINUE                                                          EPDDAT    367
         IC=IC+1                                                        EPDDAT    368
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=3,10)                    EPDDAT    369
         IC=IC+1                                                        EPDDAT    370
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=11,14)                   EPDDAT    371
         JTLN=JTLN+14                                                   EPDDAT    372
      GOTO 530                                                          EPDDAT    373
 250  CONTINUE                                                          EPDDAT    374
C                                                                       EPDDAT    375
C   TYPE 2,3,5 AND 6 STABILIZER                                         EPDDAT    376
C                                                                       EPDDAT    377
      ASSIGN 260 TO I470                                                EPDDAT    378
      GOTO 470                                                          EPDDAT    379
 260  CONTINUE                                                          EPDDAT    380
         IC=IC+1                                                        EPDDAT    381
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=3,10)                    EPDDAT    382
         IC=IC+1                                                        EPDDAT    383
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=11,14)                   EPDDAT    384
         IC=IC+1                                                        EPDDAT    385
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=15,22)                   EPDDAT    386
         JTLN=JTLN+22                                                   EPDDAT    387
      GOTO 530                                                          EPDDAT    388
C                                                                       EPDDAT    389
 350  CONTINUE                                                          EPDDAT    390
C                                                                       EPDDAT    391
C   TYPE 7 STABILIZER                                                   EPDDAT    392
C                                                                       EPDDAT    393
      ITDDAT(JTLN+1)=0                                                  EPDDAT    394
      IC=IC+1                                                           EPDDAT    395
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=2,8)                        EPDDAT    396
      JTLN=JTLN+8                                                       EPDDAT    397
      GOTO 530                                                          EPDDAT    398
C                                                                       EPDDAT    399
 390  CONTINUE                                                          EPDDAT    400
C                                                                       EPDDAT    401
C     TYPES 9 STABILIZER                                                EPDDAT    402
C                                                                       EPDDAT    403
            IC=IC+1                                                     EPDDAT    404
            READ (BF(IC),2010) ITDDAT(JTLN+1),ITDDAT(JTLN+2)            EPDDAT    405
     &                                ,ITDDAT(JTLN+5),ITDDAT(JTLN+6)    EPDDAT    406
         ITDDAT(JTLN+3)=0                                               EPDDAT    407
         ITDDAT(JTLN+4)=4                                               EPDDAT    408
         IC=IC+1                                                        EPDDAT    409
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=7,14)                    EPDDAT    410
         IC=IC+1                                                        EPDDAT    411
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=15,20)                   EPDDAT    412
         IC=IC+1                                                        EPDDAT    413
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=21,27)                   EPDDAT    414
         JTLN=JTLN+27                                                   EPDDAT    415
      GOTO 530                                                          EPDDAT    416
 410  CONTINUE                                                          EPDDAT    417
C                                                                       EPDDAT    418
C   TYPE 10 STABILIZER                                                  EPDDAT    419
C                                                                       EPDDAT    420
      ASSIGN 420 TO I470                                                EPDDAT    421
      GOTO 470                                                          EPDDAT    422
 420  CONTINUE                                                          EPDDAT    423
         IC=IC+1                                                        EPDDAT    424
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=3,9)                     EPDDAT    425
         IC=IC+1                                                        EPDDAT    426
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=10,16)                   EPDDAT    427
         IC=IC+1                                                        EPDDAT    428
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=17,20)                   EPDDAT    429
         JTLN=JTLN+20                                                   EPDDAT    430
      GOTO 530                                                          EPDDAT    431
 430  CONTINUE                                                          EPDDAT    432
C                                                                       EPDDAT    433
C   TYPE 11 STABILIZER                                                  EPDDAT    434
C                                                                       EPDDAT    435
      ASSIGN 440 TO I470                                                EPDDAT    436
      GOTO 470                                                          EPDDAT    437
 440  CONTINUE                                                          EPDDAT    438
         IC=IC+1                                                        EPDDAT    439
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=3,9)                     EPDDAT    440
         IC=IC+1                                                        EPDDAT    441
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=10,17)                   EPDDAT    442
         IC=IC+1                                                        EPDDAT    443
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=18,25)                   EPDDAT    444
         IC=IC+1                                                        EPDDAT    445
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=26,30)                   EPDDAT    446
         JTLN=JTLN+30                                                   EPDDAT    447
           GOTO 530                                                     EPDDAT    448
 450  CONTINUE                                                          EPDDAT    449
C                                                                       EPDDAT    450
C   TYPE 12 STABILIZER                                                  EPDDAT    451
C                                                                       EPDDAT    452
         IC=IC+1                                                        EPDDAT    453
         READ (BF(IC),2010) (ITDDAT(JTLN+LJ),LJ=1,4)                    EPDDAT    454
         IC=IC+1                                                        EPDDAT    455
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=5,12)                    EPDDAT    456
         IC=IC+1                                                        EPDDAT    457
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=13,18)                   EPDDAT    458
         IC=IC+1                                                        EPDDAT    459
         READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=19,24)                   EPDDAT    460
         JTLN=JTLN+24                                                   EPDDAT    461
      GOTO 530                                                          EPDDAT    462
C                                                                       EPDDAT    463
C   COMMON PART OF DATA FOR STABILIZER                                  EPDDAT    464
C   TYPES 1,2,3,4,5,6,10 AND 11                                         EPDDAT    465
C                                                                       EPDDAT    466
 470  CONTINUE                                                          EPDDAT    467
            IC=IC+1                                                     EPDDAT    468
            READ (BF(IC),2010) (ITDDAT(JTLN+LJ),LJ=1,2)                 EPDDAT    469
         GOTO I470                                                      EPDDAT    470
C                                                                       EPDDAT    471
  530 CONTINUE                                                          EPDDAT    472
      CALL MCHECK (NLF,4,JTLN,'RDGEDA')                                 EPDDAT    473
C                                                                       EPDDAT    474
C--  READ TORSIONAL FILTER DATA IF THERE IS ANY                         EPDDAT    475
C                                                                       EPDDAT    476
      IF (IFLTN.EQ.0) GO TO 540                                         EPDDAT    477
      JGENDA(5,JNT)=JTLN                                                EPDDAT    478
      IC=IC+1                                                           EPDDAT    479
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=1,8)                        EPDDAT    480
      JTLN=JTLN+8                                                       EPDDAT    481
      CALL MCHECK (NLF,5,JTLN,'RDGEDA')                                 EPDDAT    482
  540 CONTINUE                                                          EPDDAT    483
C                                                                       EPDDAT    484
C--  READ UNDER EXCITATION LIMITER DATA IF THERE IS ANY                 EPDDAT    485
C                                                                       EPDDAT    486
      IF (IUALN.EQ.0) GO TO 720                                         EPDDAT    487
      JGENDA(6,JNT)=JTLN                                                EPDDAT    488
      IC=IC+1                                                           EPDDAT    489
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=1,8)                        EPDDAT    490
      IC=IC+1                                                           EPDDAT    491
      READ (BF(IC),2040) (TDDAT(JTLN+LJ),LJ=9,16)                       EPDDAT    492
      JTLN=JTLN+16                                                      EPDDAT    493
      CALL MCHECK (NLF,6,JTLN,'EPDDAT')                                 EPDDAT    494
  720 CONTINUE                                                          EPDDAT    495
      IGENDA(2,JNT)=IGVN                                                EPDDAT    496
      JGENDA(2,JNT)=0                                                   EPDDAT    497
      IF(IGVN.EQ.0)GOTO 830                                             EPDDAT    498
      JNTTL=JNT                                                         EPDDAT    499
      JTLN=JTLN+1                                                       EPDDAT    500
      JGENDA(2,JNT)=JTLN                                                EPDDAT    501
C   TYPE :    1   2   3   4   5   6   7   8   9  10  11  12  13  14  15 EPDDAT    502
      GOTO (730,730,810,740,750,760,770,780,810,810,810,810,810,810,810 EPDDAT    503
C            16  17  18  19  20  21  22                                 EPDDAT    504
     +     ,810,810,810,810,790,800,800), IGVN                          EPDDAT    505
C                                                                       EPDDAT    506
C  TYPE 1, 2                                                            EPDDAT    507
C                                                                       EPDDAT    508
 730  CONTINUE                                                          EPDDAT    509
      IC=IC+1                                                           EPDDAT    510
      READ (BF(IC),2010) ILNN,IFVN                                      EPDDAT    511
      IC=IC+1                                                           EPDDAT    512
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=17,23)                      EPDDAT    513
      IC=IC+1                                                           EPDDAT    514
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=24,28)                      EPDDAT    515
      IC=IC+1                                                           EPDDAT    516
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=47,54)                      EPDDAT    517
      IC=IC+1                                                           EPDDAT    518
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=55,62)                      EPDDAT    519
      IC=IC+1                                                           EPDDAT    520
      READ (BF(IC),2040) DTYP1,TDDAT(JTLN+63)                           EPDDAT    521
     &,DTYP2,TDDAT(JTLN+64)                                             EPDDAT    522
      IF (DTYP1.GT.1.0) TDDAT(JTLN+63)=-TDDAT(JTLN+63)                  EPDDAT    523
      IF (DTYP2.GT.1.0) TDDAT(JTLN+64)=-TDDAT(JTLN+64)                  EPDDAT    524
      IC=IC+1                                                           EPDDAT    525
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=29,36)                      EPDDAT    526
      IC=IC+1                                                           EPDDAT    527
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=37,44)                      EPDDAT    528
      IC=IC+1                                                           EPDDAT    529
      READ (BF(IC),2040) DTYP1,TDDAT(JTLN+45)                           EPDDAT    530
     &,DTYP2,TDDAT(JTLN+46)                                             EPDDAT    531
      IF (DTYP1.GT.1.0) TDDAT(JTLN+45)=-TDDAT(JTLN+45)                  EPDDAT    532
      IF (DTYP2.GT.1.0) TDDAT(JTLN+46)=-TDDAT(JTLN+46)                  EPDDAT    533
      IC=IC+1                                                           EPDDAT    534
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=1,8)                        EPDDAT    535
      IC=IC+1                                                           EPDDAT    536
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=9,16)                       EPDDAT    537
      IF (IGVN.EQ.3) TDDAT(JTLN+8)=TDDAT(JTLN+2)                        EPDDAT    538
      ITDDAT(JTLN+65)=ILNN                                              EPDDAT    539
      ITDDAT(JTLN+66)=IFVN                                              EPDDAT    540
      ITDDAT(JTLN)=66                                                   EPDDAT    541
      JTLN=JTLN+66                                                      EPDDAT    542
      CALL MCHECK (NLF,7,JTLN,'EPDDAT')                                 EPDDAT    543
      GO TO 830                                                         EPDDAT    544
C                                                                       EPDDAT    545
C  TYPE 4                                                               EPDDAT    546
C                                                                       EPDDAT    547
 740  CONTINUE                                                          EPDDAT    548
      IC=IC+1                                                           EPDDAT    549
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=1,8)                        EPDDAT    550
      IC=IC+1                                                           EPDDAT    551
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=9,16)                       EPDDAT    552
      ITDDAT(JTLN)=16                                                   EPDDAT    553
      JTLN=JTLN+16                                                      EPDDAT    554
      CALL MCHECK (NLF,8,JTLN,'EPDDAT')                                 EPDDAT    555
      GO TO 830                                                         EPDDAT    556
C                                                                       EPDDAT    557
C  TYPE 5                                                               EPDDAT    558
C                                                                       EPDDAT    559
 750  IGVNM1=IGENDA(2,JNT-1)                                            EPDDAT    560
      IF (IGVNM1.NE.4) GO TO 820                                        EPDDAT    561
      IC=IC+1                                                           EPDDAT    562
      READ(BF(IC),2040) (TDDAT(JTLN+LK),LK=1,4)                         EPDDAT    563
      ITDDAT(JTLN)=4                                                    EPDDAT    564
      JTLN=JTLN+4                                                       EPDDAT    565
      CALL MCHECK (NLF,9,JTLN,'EPDDAT')                                 EPDDAT    566
      GO TO 830                                                         EPDDAT    567
C                                                                       EPDDAT    568
C  TYPE 6                                                               EPDDAT    569
C                                                                       EPDDAT    570
 760  CONTINUE                                                          EPDDAT    571
      IC=IC+1                                                           EPDDAT    572
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=1,7)                        EPDDAT    573
      ITDDAT(JTLN)=7                                                    EPDDAT    574
      JTLN=JTLN+7                                                       EPDDAT    575
      CALL MCHECK (NLF,10,JTLN,'EPDDAT')                                EPDDAT    576
      GOTO 830                                                          EPDDAT    577
C                                                                       EPDDAT    578
C  TYPE 7                                                               EPDDAT    579
C                                                                       EPDDAT    580
 770  CONTINUE                                                          EPDDAT    581
      IC=IC+1                                                           EPDDAT    582
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=1,8)                        EPDDAT    583
      IC=IC+1                                                           EPDDAT    584
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=9,10)                       EPDDAT    585
      ITDDAT(JTLN)=10                                                   EPDDAT    586
      JTLN=JTLN+10                                                      EPDDAT    587
      CALL MCHECK (NLF,11,JTLN,'EPDDAT')                                EPDDAT    588
      GOTO 830                                                          EPDDAT    589
C                                                                       EPDDAT    590
C  TYPE 8                                                               EPDDAT    591
C                                                                       EPDDAT    592
 780  CONTINUE                                                          EPDDAT    593
      IC=IC+1                                                           EPDDAT    594
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=1,8)                        EPDDAT    595
      IC=IC+1                                                           EPDDAT    596
      READ (BF(IC),2040) TDDAT(JTLN+9)                                  EPDDAT    597
      ITDDAT(JTLN)=9                                                    EPDDAT    598
      JTLN=JTLN+9                                                       EPDDAT    599
      CALL MCHECK (NLF,11,JTLN,'EPDDAT')                                EPDDAT    600
      GOTO 830                                                          EPDDAT    601
C                                                                       EPDDAT    602
C  TYPE 20                                                              EPDDAT    603
C                                                                       EPDDAT    604
 790  CONTINUE                                                          EPDDAT    605
      IC=IC+1                                                           EPDDAT    606
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=1,8)                        EPDDAT    607
      IC=IC+1                                                           EPDDAT    608
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=9,14),DTYP1,                EPDDAT    609
     & TDDAT(JTLN+15)                                                   EPDDAT    610
C  GET A DUMMY LINE, DATA ON THIS LINE ARE NOT USED                     EPDDAT    611
C                                                                       EPDDAT    612
      IF (DTYP1.GT.1.0) TDDAT(JTLN+15)=-TDDAT(JTLN+15)                  EPDDAT    613
      ITDDAT(JTLN)=15                                                   EPDDAT    614
      JTLN=JTLN+15                                                      EPDDAT    615
      CALL MCHECK (NLF,12,JTLN,'EPDDAT')                                EPDDAT    616
      GO TO 830                                                         EPDDAT    617
C                                                                       EPDDAT    618
C  TYPE 21, 22                                                          EPDDAT    619
C                                                                       EPDDAT    620
 800  CONTINUE                                                          EPDDAT    621
      IC=IC+1                                                           EPDDAT    622
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=1,8)                        EPDDAT    623
      IC=IC+1                                                           EPDDAT    624
      READ (BF(IC),2040) (TDDAT(JTLN+LK),LK=9,11)                       EPDDAT    625
      ITDDAT(JTLN)=11                                                   EPDDAT    626
      JTLN=JTLN+11                                                      EPDDAT    627
      CALL MCHECK (NLF,13,JTLN,'EPDDAT')                                EPDDAT    628
      GOTO 830                                                          EPDDAT    629
C                                                                       EPDDAT    630
C  TYPES WHICH HAVE NOT BE DEFINED                                      EPDDAT    631
C                                                                       EPDDAT    632
  810 CONTINUE                                                          EPDDAT    633
      IF(KLFO.EQ.0)THEN                                                 EPDDAT    634
         WRITE(MSG(1),1100) NLF,NGRI                                    EPDDAT    635
      ELSE                                                              EPDDAT    636
         WRITE(MSG(1),1250) BUSNAM                                      EPDDAT    637
      ENDIF                                                             EPDDAT    638
      WRITE(MSG(2),1101) IGVN                                           EPDDAT    639
      CALL PRTMSG(2)                                                    EPDDAT    640
      MSG(1)='EPDDAT GOVERNOR TYPE ERROR'                               EPDDAT    641
      CALL ASTOP(MSG(1),26)                                             EPDDAT    642
C                                                                       EPDDAT    643
C  TYPE 4 AND TYPE 5 ARE NOT MATCHED                                    EPDDAT    644
C                                                                       EPDDAT    645
  820 CONTINUE                                                          EPDDAT    646
      IF(KLFO.EQ.0)THEN                                                 EPDDAT    647
         WRITE(MSG(1),1100) NLF,NGRI                                    EPDDAT    648
         WRITE(MSG(2),1110) IGVN                                        EPDDAT    649
      ELSE                                                              EPDDAT    650
         WRITE(MSG(1),1250) BUSNAM                                      EPDDAT    651
         WRITE(MSG(2),1110) IGVN                                        EPDDAT    652
      ENDIF                                                             EPDDAT    653
      WRITE(MSG(3),1111)                                                EPDDAT    654
      CALL PRTMSG(3)                                                    EPDDAT    655
      MSG(1)='EPDDAT HP/LP GOVERNOR REPRESENTATION ERROR'               EPDDAT    656
      CALL ASTOP(MSG(1),42)                                             EPDDAT    657
  830 CONTINUE                                                          EPDDAT    658
      RETURN                                                            EPDDAT    659
  840 CONTINUE                                                          EPDDAT    660
      IEBK=3                                                            EPDDAT    661
      IF(KLFO.EQ.0)THEN                                                 EPDDAT    662
         WRITE(MSG(1),1120) NLF,NGRI                                    EPDDAT    663
      ELSE                                                              EPDDAT    664
         WRITE(MSG(1),1260) BUSNAM                                      EPDDAT    665
      ENDIF                                                             EPDDAT    666
      WRITE(MSG(2),1121) MXP                                            EPDDAT    667
      CALL PRTMSG(2)                                                    EPDDAT    668
C                                                                       EPDDAT    669
      RETURN                                                            EPDDAT    670
C                                                                       EPDDAT    671
 1100 FORMAT(' *** ERROR IN PRIME MOVER DATA FOR GENERATOR AT BUS:'     EPDDAT    672
     *,I5,' GID:',A4)                                                   EPDDAT    673
 1101 FORMAT(5X,'TYPE ',I2,' GOVERNOR NOT RECOGNIZED.')                 EPDDAT    674
 1110 FORMAT(5X,'TYPE ',I2                                              EPDDAT    675
     *,' GOVERNOR LP TURBINE REPRESENTATION WITH NO HP')                EPDDAT    676
 1111 FORMAT(5X,'TURBINE REPRESENTED IS NOT ALLOWED.')                  EPDDAT    677
 1120 FORMAT(' *** ERROR DETAILED GENERATOR AT BUS: ',I5,' GID:',A4)    EPDDAT    678
 1121 FORMAT(5X,'EXCEEDS THE LIMIT OF ',I4)                             EPDDAT    679
 1130 FORMAT (1X,'IN RDGEDA',1X,'IEXX',I5                               EPDDAT    680
     &,'JTLN',I5,'JEX(JNT)',I5,'JNT',I5)                                EPDDAT    681
 1200 FORMAT(1X,'DB-RDGEDA_NEW:JLN,DDAT+5,WOBASE ',I5,2G12.5)           EPDDAT    682
 1210 FORMAT(' *** WARNING TOO MANY DETAILED GENERATORS')               EPDDAT    683
 1211 FORMAT(5X,'DATA OF GENERATOR AT BUS: ',I5,' GID:',A4              EPDDAT    684
     *,' HAS BEEN IGNORED')                                             EPDDAT    685
 1220 FORMAT(5X,'DATA OF GENERATOR AT BUS: ',A13                        EPDDAT    686
     *,' HAS BEEN IGNORED')                                             EPDDAT    687
 1250 FORMAT(' *** ERROR IN PRIME MOVER'' DATA FOR GENERATOR AT BUS:'   EPDDAT    688
     *,A13)                                                             EPDDAT    689
 1260 FORMAT(' *** ERROR DETAILED GENERATOR AT BUS: ',A13)              EPDDAT    690
 1300 FORMAT(5X,'X''Q=',G12.4,' LESS THAN XL=',G12.4)                   EPDDAT    691
 1320 FORMAT(' *** DATA ERROR GENERTOR AT BUS: ',I5,' GID:',A4,' HAS')  EPDDAT    692
 1321 FORMAT(5X,'X''D=',G12.4,' LESS THAN XL=',G12.4)                   EPDDAT    693
 1330 FORMAT(' *** DATA ERROR GENERTOR AT BUS: ',A13,' HAS')            EPDDAT    694
 1340 FORMAT(5X,'X"D=',G12.4,' LESS THAN XL=',G12.4)                    EPDDAT    695
 1360 FORMAT(5X,'X"Q=',G12.4,' LESS THAN XL=',G12.4)                    EPDDAT    696
 1380 FORMAT(5X,'WRONG X''D=',G12.4,', X"D=',G12.4)                     EPDDAT    697
 1390 FORMAT(5X,'WRONG X''Q=',G12.4,', X"Q=',G12.4)                     EPDDAT    698
 1400 FORMAT(5X,'AND NON ZERO T"DO=',G12.4)                             EPDDAT    699
 1410 FORMAT(5X,'AND NON ZERO T"QO=',G12.4)                             EPDDAT    700
 1420 FORMAT(5X,'T"DO=',G12.4                                           EPDDAT    701
     *,' LESS THAN 0.01, PROGRAM HAS SET T"D0 TO 0.0')                  EPDDAT    702
 1440 FORMAT(5X,'T"QO=',G12.4                                           EPDDAT    703
     *,' LESS THAN 0.01, PROGRAM HAS SET T"Q0 TO 0.0')                  EPDDAT    704
 2010 FORMAT (16I5)                                                     EPDDAT    705
 2020 FORMAT (I5,1X,A4,3I5,3A4,A4,F10.5)                                EPDDAT    706
 2040 FORMAT (8F10.5)                                                   EPDDAT    707
 2041 FORMAT(4F10.5,F10.4,2F10.5)                                       EPDDAT    708
      END                                                               EPDDAT    709
